Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004625 [JEDI VCL] 00 JVCL Components major always 2008-12-17 14:40 2009-10-03 19:29
Reporter debose View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0004625: TJvDBGridHTMLExport loses Unicode symbols on save in D2009
Description seems like that's happens, in DoSave procedure. Here is the code:
procedure TJvDBGridHTMLExport.DoSave;
begin
  inherited DoSave;
  FDocument.SaveToFile(FileName);
end;

i suppose, that for Delphi 2009 it should look like
procedure TJvDBGridHTMLExport.DoSave;
begin
  inherited DoSave;
  FDocument.SaveToFile(FileName
    {$IFDEF COMPILER12_UP}
    , TEncoding.UTF8 // or any other Unicode encoding
    {$ENDIF}
   );
end;
Additional Information same thing is with TJvDBGridCSVExport.DoSave
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0015113)
obones (administrator)
2008-12-19 01:04

I think it would be better to add an overload for Save that accepts the encoding
(0015118)
debose (reporter)
2008-12-20 15:50

p.s. i think, that it would be better to completely remove saving feature from this component, and allow it(component) to return Html text somehow.
(0016238)
AHUser (developer)
2009-10-03 19:29

Added property Encoding: TEncoding to HTML, CSV and XML Export

- Issue History
Date Modified Username Field Change
2008-12-17 14:40 debose New Issue
2008-12-19 01:04 obones Note Added: 0015113
2008-12-19 01:04 obones Status new => acknowledged
2008-12-20 15:50 debose Note Added: 0015118
2009-10-03 19:29 AHUser Note Added: 0016238
2009-10-03 19:29 AHUser Status acknowledged => resolved
2009-10-03 19:29 AHUser Fixed in Version => Daily / SVN
2009-10-03 19:29 AHUser Resolution open => fixed
2009-10-03 19:29 AHUser Assigned To => AHUser


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker